package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class AlatKhususVO extends BaseTransactionVO{
	
	@ManyToOne
	@JoinColumn(name = "PerencanaanAnestesiFk")
	@NotNull(message = "Perencanaan Anestesi tidak boleh kosong")
	private PerencanaanAnestesiVO perencanaanAnestesi;
	
	@Column(name = "PerencanaanAnestesiFk", insertable=false,updatable=false)
	private String perencanaanAnestesiId;
	
	@ManyToOne
	@JoinColumn(name = "AlatKhususDetailFk")
	@NotNull(message = "Alat Khusus Detail tidak boleh kosong")
	private AlatKhususDetailVO alatKhususDetail;
	
	@Column(name = "AlatKhususDetailFk", insertable=false,updatable=false)
	private Integer alatKhususDetailId;
	
	@NotNull(message = "Is Nilai tidak boleh kosong")
	@Column(name = "isNilai")
	@Caption(value = "Is Nilai")
	private Boolean isNilai;
	
	public Boolean getIsNilai() {
		return isNilai;
	}

	public void setIsNilai(Boolean isNilai) {
		this.isNilai = isNilai;
	}

	public PerencanaanAnestesiVO getPerencanaanAnestesi() {
		return perencanaanAnestesi;
	}

	public void setPerencanaanAnestesi(PerencanaanAnestesiVO perencanaanAnestesi) {
		this.perencanaanAnestesi = perencanaanAnestesi;
	}

	public String getPerencanaanAnestesiId() {
		return perencanaanAnestesiId;
	}

	public void setPerencanaanAnestesiId(String perencanaanAnestesiId) {
		this.perencanaanAnestesiId = perencanaanAnestesiId;
	}

	public AlatKhususDetailVO getAlatKhususDetail() {
		return alatKhususDetail;
	}

	public void setAlatKhususDetail(AlatKhususDetailVO alatKhususDetail) {
		this.alatKhususDetail = alatKhususDetail;
	}

	public Integer getAlatKhususDetailId() {
		return alatKhususDetailId;
	}

	public void setAlatKhususDetailId(Integer alatKhususDetailId) {
		this.alatKhususDetailId = alatKhususDetailId;
	}

}
